Skip to main content
POST
/
v5
/
accounting
/
glAccount
Save an account
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/accounting/glAccount \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "glAccount": {
    "accountNo": "<string>",
    "parentAccountNo": "<string>",
    "type": "ASSET",
    "name": "<string>",
    "id": 123,
    "status": "ACTIVE",
    "taxCategory": "ADVERTISING",
    "assetType": "CASH",
    "liabilityType": "AP",
    "equityType": "CAPITAL",
    "expenseType": "MERCHANT_FEE",
    "incomeType": "SERVICE_INCOME",
    "customData": {}
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

glAccount object

glAccount
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object